Package org.apache.tomcat.dbcp.pool2.impl

## Interface DefaultPooledObjectInfoMBean

All Known Implementing Classes:
  `DefaultPooledObjectInfo`

    public interface DefaultPooledObjectInfoMBean

The interface that defines the information about pooled objects that will be exposed via JMX. NOTE: This interface exists only to define those attributes and methods that will be made available via JMX. It must not be implemented by clients as it is subject to change between major, minor and patch version releases of commons pool. Clients that implement this interface may not, therefore, be able to upgrade to a new minor or patch release without requiring code changes.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getBorrowedCount()` Get the number of times this object has been borrowed.
`long` `getCreateTime()` Obtain the time (using the same basis as `System.currentTimeMillis()`) that pooled object was created.
`java.lang.String` `getCreateTimeFormatted()` Obtain the time that pooled object was created.
`long` `getLastBorrowTime()` Obtain the time (using the same basis as `System.currentTimeMillis()`) the polled object was last borrowed.
`java.lang.String` `getLastBorrowTimeFormatted()` Obtain the time that pooled object was last borrowed.
`java.lang.String` `getLastBorrowTrace()` Obtain the stack trace recorded when the pooled object was last borrowed.
`long` `getLastReturnTime()` Obtain the time (using the same basis as `System.currentTimeMillis()`)the wrapped object was last returned.
`java.lang.String` `getLastReturnTimeFormatted()` Obtain the time that pooled object was last returned.
`java.lang.String` `getPooledObjectToString()` Provides a String form of the wrapper for debug purposes.
`java.lang.String` `getPooledObjectType()` Obtain the name of the class of the pooled object.

### Method Detail

#### getCreateTime

    long getCreateTime()

Obtain the time (using the same basis as `System.currentTimeMillis()`) that pooled object was created.

Returns:
  The creation time for the pooled object

#### getCreateTimeFormatted

    java.lang.String getCreateTimeFormatted()

Obtain the time that pooled object was created.

Returns:
  The creation time for the pooled object formatted as `yyyy-MM-dd HH:mm:ss Z`

#### getLastBorrowTime

    long getLastBorrowTime()

Obtain the time (using the same basis as `System.currentTimeMillis()`) the polled object was last borrowed.

Returns:
  The time the pooled object was last borrowed

#### getLastBorrowTimeFormatted

    java.lang.String getLastBorrowTimeFormatted()

Obtain the time that pooled object was last borrowed.

Returns:
  The last borrowed time for the pooled object formatted as `yyyy-MM-dd HH:mm:ss Z`

#### getLastBorrowTrace

    java.lang.String getLastBorrowTrace()

Obtain the stack trace recorded when the pooled object was last borrowed.

Returns:
  The stack trace showing which code last borrowed the pooled object

#### getLastReturnTime

    long getLastReturnTime()

Obtain the time (using the same basis as `System.currentTimeMillis()`)the wrapped object was last returned.

Returns:
  The time the object was last returned

#### getLastReturnTimeFormatted

    java.lang.String getLastReturnTimeFormatted()

Obtain the time that pooled object was last returned.

Returns:
  The last returned time for the pooled object formatted as `yyyy-MM-dd HH:mm:ss Z`

#### getPooledObjectType

    java.lang.String getPooledObjectType()

Obtain the name of the class of the pooled object.

Returns:
  The pooled object's class name
See Also:
  `Class.getName()`

#### getPooledObjectToString

    java.lang.String getPooledObjectToString()

Provides a String form of the wrapper for debug purposes. The format is not fixed and may change at any time.

Returns:
  A string representation of the pooled object
See Also:
  `Object.toString()`

#### getBorrowedCount

    long getBorrowedCount()

Get the number of times this object has been borrowed.

Returns:
  The number of times this object has been borrowed.
Since:
  2.1